#deviceType = Server/Chasis
#performAction = Yes/No
#mode = scalable/detailed
Param(
	[string]$MSIP,
	[string]$user,
	[string]$password,
	[string]$deviceType,
	[string]$mode,
	[string]$enableOverride
)
$datentime = Get-Date
Write-Host "$datentime :: Begin PowerShell execution of CallEnableThesholdMonitors.ps1" 

$securepass = ConvertTo-SecureString -AsPlainText $password -Force
$cred = New-Object System.Management.Automation.PSCredential ($user, $securepass)

$datentime = Get-Date
Write-Host "$datentime :: Creating session"
$session = New-PSSession -ComputerName $MSIP -Authentication Negotiate -Credential $cred 
	
$datentime = Get-Date
Write-Host "$datentime :: Invoking command"
Invoke-Command -Session $session -FilePath /usr/share/tomcatTejas/webapps/Spectre/WEB-INF/classes/com/dell/tejas/ig/ps/command/EnableThresholdMonitoring.ps1 -ArgumentList $deviceType, $mode, $enableOverride

$datentime = Get-Date
Write-Host "$datentime :: Removing session"
Remove-PSSession -Session $session
$datentime = Get-Date
Write-Host "$datentime :: Finished PowerShell execution of CallEnableThesholdMonitors.ps1"
