Param(
  [string]$MSIP,
  [string]$user,
  [string]$password,
  [string]$metricsHash
)

$datentime = Get-Date

$securepass = ConvertTo-SecureString -AsPlainText $password -Force
$cred = New-Object System.Management.Automation.PSCredential ($user, $securepass)

$datentime = Get-Date

$session = New-PSSession -ComputerName $MSIP -Authentication Negotiate -Credential $cred 
	
$datentime = Get-Date


Invoke-Command -Session $session -FilePath /usr/share/tomcatTejas/webapps/Spectre/WEB-INF/classes/com/dell/tejas/ig/ps/command/ThresholdMetricsEventGeneration.ps1 -ArgumentList $metricsHash

$datentime = Get-Date

Remove-PSSession -Session $session
$datentime = Get-Date

