param($ComputerName,$DomainUsername,$DelPwd,$tejasFQDN,$operationdetails)



	
#$DelPwd="Dell_123$"

$DelUserName=$DomainUsername
$VMMServerHost=$ComputerName
$vgUserDomain=$operationdetails.split(",")[1]
$vgUserName=$operationdetails.split(",")[2]
$vgPassword=$operationdetails.split(",")[0]
$JobName=$operationdetails.split(",")[3]
<#
$DelPwd="Dell_123$"
$DelUserName="mydomain\administrator"
$VMMServerHost="ws2016pxe.mydomain.com"
$vgUserDomain="mydomain"
$vgUserName="administrator"
$vgPassword="Dell_123$"
$JobName="Job_20171201031422349"
#>
############### CONSTANTS ###########################


 # Create obj
Function Createcredobj($username, $passwd)
{

    try
    {
		$secpasswd = ConvertTo-SecureString  $passwd -AsPlainText -Force
        $mycredsobj = New-Object System.Management.Automation.PSCredential ($username, $secpasswd)
        #$Error
    }
    catch
    {
        $mycredsobj = $null
    }

    return $mycredsobj

}

$message=@()
$sccmCred= Createcredobj $DelUserName $DelPwd
$message= Invoke-Command -ArgumentList ($vgUserDomain,$vgUserName,$vgPassword,$JobName) -ComputerName $VMMServerHost -Credential $sccmCred -ConfigurationName Microsoft.PowerShell32 -ScriptBlock{
           	 
            Param( $vgUserDomain,$vgUserName,$vgPassword,$JobName )

    try{
     $returnValue=@()
     $vGSharePath = [System.IO.Path]::GetTempPath()
     $basePath = [io.path]::combine($vGSharePath + "Log");
     write-host "Base path for Temp winpe drv injection"  $basePath;
     if ( $basePath -ne $null)
     {
         #Read log file if present
         $tempFolderPath = [io.path]::combine($basePath, "temp");
         write-host "tempFolderPath"  $tempFolderPath
         $pathToStatusFile = [io.path]::combine($tempFolderPath, ([System.String]::Concat($JobName, ".log")))
         write-host "Path to status file is"  $pathToStatusFile
         if (Test-Path $pathToStatusFile -PathType Leaf )
         {
             write-host "Path to status file EXISTS"
             #Read log to get status.
             $log = [System.IO.File]::ReadAllText($pathToStatusFile)
             write-host "Log file data is: "  $log
             #Get first character 
             $status = $log[0];
             write-host "status: " $status
             if ($status -eq '1')
             {
                 write-host "log file data is: "  $status
      
                 $returnValue= "SUCCESS"
                 $returnValue= $returnValue+ "Status:Fetching Job Status Successful:validResponse"

             }
             ElseIf  ($status -eq '2')
             {

                  $returnValue= "FAIL";
                  $returnValue= $returnValue+"Status:Fetching Job Status UnSuccessful:validResponse";
             }
             try
             {
                  #Delete temp folder and log file.
                 # Remove-Item $pathToStatusFile -Force
                 [System.IO.File]::Delete($pathToStatusFile)
                 write-host "File deleted "
                 #[System.IO.Directory]::Delete($tempFolderPath)
                 
                 Remove-Item -Recurse -Force $basePath
                 write-host "Directory deleted"
             }
             catch [system.exception]
             {
                write-host "Deletion of log file " $pathToStatusFile  " failed with exception :"  $_.Exception.Message  
				
             }
          }
          else
          {

                $returnValue=  "FAIL";
                $returnValue= $returnValue+ "Status:Fetching Job Status UnSuccessful";
          }


       }
       else
       {

                 $returnValue=  "FAIL";
                 $returnValue= $returnValue+ "Status:Fetching Job Status UnSuccessful";
       }
  

    return $returnValue;

}
catch [system.exception]
{

      $returnValue=  "FAIL";
      $returnValue= $returnValue+ "Status:Fetching Job Status UnSuccessful";
      return $returnValue;

 }

}

$returnval2=@()
if($message -match "SUCCESS"){
    $returnval2=$returnval2+"SUCCESS"
    $returnval2=$returnval2+$message
    return $returnval2
}else{
    $returnval2=$returnval2+"FAIL"
    $returnval2=$returnval2+$message
    return $returnval2
}

#return $message