param($ComputerName,$DomainUsername,$DelPwd,$tejasFQDN,$tejasIP)


Function Createcredobj($username, $passwd)
{

    try
    {
		$secpasswd = ConvertTo-SecureString  $passwd -AsPlainText -Force
        $mycredsobj = New-Object System.Management.Automation.PSCredential ($username, $secpasswd)
        #$Error
    }
    catch
    {
        $mycredsobj = $null
    }

    return $mycredsobj

}


 try
	{
		$scomcreds = Createcredobj $DomainUsername $DelPwd
        $Server = $ComputerName.Split('.')[0]
        
        Import-Module -Name OperationsManager
        $name = Get-SCOMManagementServer
        if($name -ne $null){
                 return "SUCCESS"
         }
         else{
                    
                    return "FAIL"
          }
	}
	catch [system.exception]
    {
           return "FAIL"
    }


