Param(
  [string]$MSIP,
  [string]$user,
  [string]$password,
  [string]$ParamServiceTagList
)

$MPNameList = @()
$datentime = Get-Date


$securepass = ConvertTo-SecureString -AsPlainText $password -Force
$cred = New-Object System.Management.Automation.PSCredential ($user, $securepass)

$datentime = Get-Date
$session = New-PSSession -ComputerName $MSIP -Authentication Negotiate -Credential $cred 
    
$datentime = Get-Date
$ParamDenroll = "false"
$response = Invoke-Command -Session $session -FilePath /usr/share/tomcatTejas/webapps/Spectre/WEB-INF/classes/com/dell/tejas/ig/ps/command/DeleteDellDevices.ps1 -ArgumentList $ParamDenroll,$ParamServiceTagList

$datentime = Get-Date
#Write-Host "$datentime :: Removing session"
Remove-PSSession -Session $session
$datentime = Get-Date
return $response