param($VMMServer,$DomainUsername,$DelPwd,$tejasFQDN,$SharePath)
#this programs is to delete the IG Library Share 
$debug1 = '1'

#$DelUserName='tejas\administrator'
#$DelPwd='Dell_123$'
#$IGServerFQDN = 'dc.tejas.com'
#$IGUserName = 'tejas\Administrator'
#$IGPassword = 'Dell_123$'
#$VMMServer='scvmm.tejas.com'

#$SharePath = 'test'
$returnval = @()
$SharePath = $SharePath -replace "\\n\\r", " "	

# Create obj
Function Createcredobj($username, $passwd)
{
    try
    {
		$secpasswd = ConvertTo-SecureString  $passwd -AsPlainText -Force
        $mycredsobj = New-Object System.Management.Automation.PSCredential ($username, $secpasswd)
    }
    catch
    {
        $mycredsobj = $null
    }
    return $mycredsobj
}

Function CreateVMMObj ($username, $password, $vmmserver)
{
	try
	{
		$Cred = Createcredobj $username $password
		$VMMobj = Get-SCVMMServer -ComputerName $vmmserver -Credential $Cred
#		write-host $VMMobj
	}
	catch
	{
		$returnval = $returnval + "FAIL"
		$returnval = $returnval + $Error[0].Exception
        if ($debug1 -eq 0)
		{
			#write-host $returnval
		}
		return $returnval
	}
		return $VMMobj
}

############################# Logic Starts here ############################
#import SCVMM related cmdlets
import-module virtualmachinemanager

$VMMObjAdmin = CreateVMMObj $DomainUsername $DelPwd $VMMServer
	try
	{
		$LibShare = Get-SCLibraryShare -VMMServer $VMMObjAdmin | where { $_.LibraryServer.Name -eq $VMMServer -and $_.Name -eq $SharePath}
			
		If($LibShare -eq $null)
		{
		$returnval = $returnval + "SUCCESS"
		$returnval = $returnval + "Library Share Does not exist"
		
		return $returnval
		}
		else
		{
		
		Remove-SCLibraryShare -LibraryShare $LibShare | out-null
       	$returnval = $returnval + "SUCCESS"
		$returnval = $returnval + "Library Share deleted successfully"
		
		return $returnval
		}
	}
	catch
	{
		$returnval = $returnval + "FAIL"
		$returnval = $returnval + "Exception occurred while deleting the Library Share"+ $_.Exception.Message
		
		return $returnval
	}	
