param($VMMServer,$DelUserName,$DelPwd,$tejasFQDN,$operationdetails)

	
	$operationdetails = $operationdetails -replace "\\n\\r", " "
	
	$replaceBMCRunAsAccountName=$operationdetails.split(",")[0]
	$replaceBMCIPAddress=$operationdetails.split(",")[1]
	$replaceHostProfileName=$operationdetails.split(",")[2]
	$replaceSMBiosId=$operationdetails.split(",")[3]
	$replaceHostGroupName=$operationdetails.split(",")[4]
	$replaceHostName=$operationdetails.split(",")[5]
	$replaceIsDHCP=$operationdetails.split(",")[6]
	$replaceMACAddress=$operationdetails.split(",")[7]
	$replaceJobIdentifier=$operationdetails.split(",")[8]
	$replaceLogNWName=$operationdetails.split(",")[9]
	$replaceServerSvcTag=$operationdetails.split(",")[10]
	$replaceIPAddress=$operationdetails.split(",")[11]
	$replaceSubnet=$operationdetails.split(",")[12]
	$replaceTejasBMCProtocol=$operationdetails.split(",")[13]
   <#
	write-host $operationdetails.split(",")[0]
	write-host $operationdetails.split(",")[1]
	write-host $operationdetails.split(",")[2]
	write-host $operationdetails.split(",")[3]
	write-host $operationdetails.split(",")[4]
	write-host $operationdetails.split(",")[5]
	write-host $operationdetails.split(",")[6]
	write-host $operationdetails.split(",")[7]
	write-host $operationdetails.split(",")[8]
	write-host $operationdetails.split(",")[9]
	write-host $operationdetails.split(",")[10]
	write-host $operationdetails.split(",")[11]
	write-host $operationdetails.split(",")[12]
	write-host $operationdetails.split(",")[13]
	#>
# Please don't use the same paramaters name in the script, as these paramaters will be replaced by the actual values  by C# program
	#OSD-NewSCVMHost.ps1
    #$DelUserName 
    #$DelPwd
    #$VMMServer
	
	#$replaceBMCRunAsAccountName
	#$replaceBMCIPAddress
    #$replaceServerSvcTag
    #$replaceSMBiosId
	#$replaceJobIdentifier
	#$replaceHostProfileName    
	#$replaceHostGroupName
	#$replaceMACAddress
	#$replaceLogNWName
	#$replaceSubnet 
	#$replaceIPAddress 
	#$replaceIsDHCP
	#$replaceHostName
# Please don't use the same paramaters name in the script, as these paramaters will be replaced by the actual values  by C# program

#######  TEST from powershell prompt ###################
## For Debugging directly in the power shell IDE ...uncomment below lines 
#test
$debug1 = 1
Function test()
{
   # $DelUserName='Tejas\administrator'
   # $DelPwd='Dell_123$'
   # $VMMServer='scvmm'
   # $replaceBMCRunAsAccountName = "Idrac"
   # $replaceBMCIPAddress = "192.168.10.33"
   # $replaceServerSvcTag = "ABCDEF"
   # $replaceSMBiosId = "4c4c4544-0032-4d10-8033-b9c04f363253"
   # $replaceJobIdentifier = "yyyy"
   # $replaceHostProfileName = "ABC1"
   # $replaceHostGroupName = "All Hosts"
   # $replaceMACAddress = "00-18-8B-0A-4D-76"
   # $replaceLogNWName  = "LogicalNetwork01"
   # $replaceSubnet = "192.168.1.1/24"
   # $replaceIPAddress = "192.168.1.101"
   # $replaceIsDHCP = "true"
   # $replaceHostName = "abcH0stNam"

   # import-module "C:\\Program Files\\Microsoft System Center 2012\\Virtual Machine Manager\\bin\\psModules\\virtualmachinemanager"
  
}

## For Debugging directly in the power shell IDE ...uncomment below lines 

# Create obj
Function Createcredobj($username, $passwd)
{

    try{
		$secpasswd = ConvertTo-SecureString  $passwd -AsPlainText -Force
        $mycredsobj = New-Object System.Management.Automation.PSCredential ($username, $secpasswd)
        #$Error
    }
    catch
    {
		# handling of exception and returning back is having some issues 
        #$errorMessage = $Error[0].exception
        if ($debug1 -eq 0)
        {
            write-host "inside catch"
        }
    }

    return $mycredsobj

}

# Global value assigned constants
#$replaceTejasBMCProtocol = "SMASH"

# Return Value
# 
 $returnval = @()
$retvariable=@()
import-module virtualmachinemanager

if ($debug1 -eq 0)
{
	# remove this at end of Unit Test drop 
	write-host $VMMServer $DelUserName $DelPwd $replaceBMCRunAsAccountName $replaceBMCIPAddress $replaceServerSvcTag $replaceSMBiosId $replaceTejasBMCProtocol
}

try
{ 
# Create SCVMM Cred obj    
    $scvmmcreds = Createcredobj $DelUserName $DelPwd
   
    # A user can have mutiple role, in Tejasconext we are connecting always as DelegatedAdmin Role.
    $VMMobj = Get-SCVMMServer -ComputerName $VMMServer -Credential $scvmmcreds 
    if ( $VMMobj -eq $null)
    {
	    $returnval = $returnval + "FAIL"
        $returnval = $returnval + "-7,SCVMM host not reachable"
		return $returnval
    }
	else
    {
	    # do valid stuff
		$BMCRAA = Get-SCRunAsAccount -Name $replaceBMCRunAsAccountName 
		if($BMCRAA -eq $Null)
		{
			#Exception out / Messaging that RunAsAccount is not present, Need to recreate.
			$returnval = $returnval + "FAIL"
			$returnval = $returnval + "-11,Credential Profile provided to SCVMM has it's associated RunAsAccount missing"
			write-host "Returning from OSD-New-SCVMHost:" +$returnval
			return $returnval
		}
		else
		{

				$ErrorActionPreference = "Stop";
								 
				$HostGroup = Get-SCVMHostGroup -Name $replaceHostGroupName
				if($HostGroup -eq $Null)
				{
					#Exception out / Messaging that RunAsAccount is not present.
					$returnval = $returnval + "FAIL"
					$returnval = $returnval + "-14,HostGroup Profile provided to SCVMM has it's associated HostGroup missing at runtime"
					write-host "Returning from OSD-New-SCVMHost: " +$returnval
					return $returnval
				}

				
				$HostProfile =  Get-SCVMHostProfile -Name $replaceHostProfileName 
				#$HostProfile = Get-SCVMHostProfile -Name $replaceHostProfileName    
				if($HostProfile -eq $Null)
				{
					#Exception out / Messaging that RunAsAccount is not present.
					$returnval = $returnval + "FAIL"
					$returnval = $returnval + "-15,HostProfile provided to SCVMM has it's associated HostProfile missing at runtime"
					write-host "Returning from OSD-New-SCVMHost: " +$returnval
					return $returnval
				}

				
				if ($replaceIsDHCP -eq 'true')
				{
				# DHCP based profile, IP inputs are not passed to SCVMM
				$retvariable = New-SCVMHost -VMHostGroup $HostGroup -VMHostProfile $HostProfile -ComputerName $replaceHostName -BMCAddress $replaceBMCIPAddress -BMCRunAsAccount $BMCRAA -BMCProtocol $replaceTejasBMCProtocol -SMBIOSGUID $replaceSMBiosId -ManagementAdapterMACAddress $replaceMACAddress -JobVariable $replaceJobIdentifier -RunAsynchronously -BypassADMachineAccountCheck -VMMServer $VMMobj
    
				}
				else
				{
					$LNName = Get-SCLogicalNetwork $replaceLogNWName
					if($LNName -eq $Null)
					{
						#Exception out / Messaging that LogicalNetwork is not present.
						$returnval = $returnval + "FAIL"
						$returnval = $returnval + "-16,Logical Network name provided to SCVMM has it's associated object missing at runtime"
						write-host "Returning from OSD-New-SCVMHost:" +$returnval
						return $returnval
					}

					if ([string]::IsNullOrEmpty($replaceIPAddress))
					{
						# Flow for new OS deployment SCVMHost without staticIPaddress
						# check if logical Network IP pool matches LogicalNetwork subnet
						$poolObj = get-SCStaticIPAddressPool -Subnet $replaceSubnet
						$LNAttachedToPool = $poolObj.LogicalNetworkDefinition.LogicalNetwork.Name
						if ($LNName.Name -eq $LNAttachedToPool)
						{
							# OS deployment with new flow
							$NetworkAdapterConfigs = @()
							$NetworkAdapterConfigs += New-DELLSCVMHostNetworkAdapterConfig -UseStaticIPForIPConfiguration -SetAsManagementNIC -SetAsPhysicalNetworkAdapter -MACAddress $replaceMACAddress -IPv4Subnet $replaceSubnet -LogicalNetwork $LNName

							#$VMHostConfiguration = New-DELLSCVMHostConfig -BMCAddress $replaceBMCIPAddress -BMCPort 623 -BMCProtocol "IPMI" -BMCRunAsAccount $RunAsAccount -ComputerName "milan" -Description "" -SMBiosGuid "4c4c4544-0032-4d10-8033-b9c04f363253" -VMHostGroup $HostGroup -VMHostProfile $HostProfile -VMHostNetworkAdapterConfig $NetworkAdapterConfigs
							$VMHostConfiguration = New-SCVMHostConfig -BMCAddress $replaceBMCIPAddress -BMCProtocol $replaceTejasBMCProtocol -BMCRunAsAccount $BMCRAA -ComputerName $replaceHostName -Description "" -SMBiosGuid $replaceSMBiosId -VMHostGroup $HostGroup -VMHostProfile $HostProfile -VMHostNetworkAdapterConfig $NetworkAdapterConfigs
							$retvariable = New-SCVMHost -VMHostConfig $VMHostConfiguration -JobVariable $replaceJobIdentifier -RunAsynchronously -VMMServer $VMMobj
						}
						else
						{
							# OS deployment error as IP pool not available
							#Exception out / Messaging that matching LogicalNetwork is not present for newSCVMHost without IPAddress.
							$returnval = $returnval + "FAIL"
							$returnval = $returnval + "-17,Static IP address not provided and Subnet does not match Logical Network's IP pool"
							write-host "Returning from OSD-New-SCVMHost: " +$returnval
							return $returnval
						}
					}
					else
					{  
						# Static IP provided for new OS deployment SCVMhost, IP inputs - Logical network, subnet, IP are passed to SCVMM
						$retvariable = New-SCVMHost -VMHostGroup $HostGroup -VMHostProfile $HostProfile -BMCAddress $replaceBMCIPAddress -BMCRunAsAccount $BMCRAA -BMCProtocol $replaceTejasBMCProtocol -SMBIOSGUID $replaceSMBiosId -ComputerName $replaceHostName -ManagementAdapterMACAddress $replaceMACAddress -LogicalNetwork $LNName -Subnet $replaceSubnet -IPAddress $replaceIPAddress -JobVariable $replaceJobIdentifier -RunAsynchronously -BypassADMachineAccountCheck -VMMServer $VMMobj
                                   
					}

				}								

				$GuidVar = (Get-Variable ($replaceJobIdentifier -replace "'","") -ValueOnly).Id
				write-host "Returning from OSD-New-SCVMHost : " +$retvariable
                #$GuidVar = $retvariable
				$returnval = $returnval + "SUCCESS"
				#$returnval = $returnval + "SCVMM Operation Completed Successfully"
				$returnval = $returnval + $GuidVar.Guid.ToString()
				write-host "OSD operation for new scvmm host is successful"
			}
		}
	}
catch [system.exception]
            {
                   $returnval = $returnval + "FAIL"
                   $returnval = $returnval + $_.Exception.Message
				   write-host "OSD operation for new scvmm host is failed"
            }
write-host "Returning from OSD-New-SCVMHost: " +$returnval
return $returnval