param($ComputerName,$DomainUsername,$DelPwd,$tejasFQDN,$SmBiosGuid)

$returnvalue = @()
# Create obj
Function Createcredobj($username, $passwd)
{

    try
    {
	 $secpasswd = ConvertTo-SecureString  $passwd -AsPlainText -Force
        $mycredsobj = New-Object System.Management.Automation.PSCredential ($username, $secpasswd)
        #$Error
    }
    catch
    {
        $mycredsobj = $null
    }

    return $mycredsobj

}
<#
$DelPwd="Dell_123$"
$DomainUsername="mydomain\administrator"
$ComputerName="sksccm.mydomain.com"
#>

	#fetch the SCCM Site
	$sccmCred= Createcredobj $DomainUsername $DelPwd
	$returnvalue= Invoke-Command -ComputerName $ComputerName -Credential $sccmCred -ConfigurationName Microsoft.PowerShell32 -ScriptBlock{
           	    
		   Import-Module -Name "$(split-path $Env:SMS_ADMIN_UI_PATH)\ConfigurationManager.psd1"
	   	    $PSD = Get-PSDrive -PSProvider CMSite
	           if($PSD -eq $null){
			New-PSDrive -Name "LOCAL" -PSProvider CMSite -Root $args[1]
			$PSDN = Get-PSDrive -PSProvider CMSite -Name "LOCAL"
			$SiteCode= CD "$($PSDN):"
		    }else{
	             $SiteCode= CD "$($PSD):"	
		    }
	           $VMMobj= Get-CMSite
                  if ( $VMMobj -ne $null )
                  {
                  	try{ 
				            $returnvalue = @()		       	
				            $code = $VMMobj.SiteCode
                     	    $ns="root\sms\site_"+$code
				            $queryString="Select * from sms_Advertisement"
				            $advertisementResult=Get-WMIObject -Query $queryString -Namespace $ns
				            if($advertisementResult-ne $null ){

					            foreach($data in $advertisementResult){
                                    
						            $adv= $adv + $data.AdvertisementName + "delimiter"
					            }
                                $returnvalue  = $returnvalue + "SUCCESS" 
                                $returnvalue  = $returnvalue + $adv 
				            }
                           else{ 
                                  $returnvalue  = $returnvalue + "FAIL"         
                                  $returnvalue=  $returnvalue + "Failed to get tasksequence"
                           }
                     }catch{
                                  $returnvalue  = $returnvalue + "FAIL"         
                                  $returnvalue=  $returnvalue + "Failed to get tasksequence"
                     }
            
                  }else{
                           $returnvalue= $returnvalue+ "Unable to get SiteCode"
                   } 
                   return $returnvalue 
	}-Args $DomainUsername,$ComputerName -ErrorVariable errmsg  2>$null
 return $returnvalue


